Imports System
Imports System.ComponentModel

Imports DevExpress.Xpo
Imports DevExpress.Data.Filtering

Imports DevExpress.ExpressApp
Imports DevExpress.Persistent.Base
Imports DevExpress.Persistent.BaseImpl
Imports DevExpress.Persistent.Validation

<DefaultClassOptions()> _
<NavigationItem(False)> _
<CreatableItem(False)> _
Public Class TechnologiesServices
    Inherits BaseObject

    Private _Technologies As Technologies
    Private _Services As Services

    Public Sub New(ByVal session As Session)
        MyBase.New(session)
    End Sub
    Public Overrides Sub AfterConstruction()
        MyBase.AfterConstruction()
    End Sub

    <RuleRequiredField("TechnologiesServices - Technologies", DefaultContexts.Save)> _
    Property Technologies As Technologies
        Get
            Return _Technologies
        End Get
        Set(value As Technologies)
            SetPropertyValue("Technologies", _Technologies, value)
        End Set
    End Property
    <RuleRequiredField("TechnologiesServices - Services", DefaultContexts.Save)> _
    Property Services As Services
        Get
            Return _Services
        End Get
        Set(value As Services)
            SetPropertyValue("Services", _Services, value)
        End Set
    End Property
End Class
